: Get deaths for a specific date

API: dayinhistory.dev:day-in-history-api
Endpoint: /deaths/{month}/{day}/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 737ms

Description

Returns notable deaths for a specific month/day. This is the trailing-slash variant, returning the same data. Allows querying memorial dates using named months.

From spec: Returns notable people who died on the specified month and day

Usage Tips

- Same data as /deaths/{month}/{day} without trailing slash - Month names are lowercase - Supports pagination with ?page=N

Parameters (3)

day (integer, path, required)

Day of the month (1-31)

Constraints: {'minimum': 1, 'maximum': 31}

month (string, path, required)

Month name (lowercase, e.g., january, february)

Constraints: {'enum': ['january', 'february', 'march', 'april', 'may', 'june', 'july', 'august', 'september', 'october', 'november', 'december']}

page (integer, query, optional, default: 1)

Page number for pagination

Examples (2)

Get notable deaths for July 4 probe-gate
curl 'https://api.dayinhistory.dev/v1/deaths/july/4/'
import requests

resp = requests.get("https://api.dayinhistory.dev/v1/deaths/july/4/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("deaths/{month}/{day}/")

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/deaths/july/4/");
const data = await resp.json();
Get notable deaths for March 25th probe-gate
curl 'https://api.dayinhistory.dev/v1/deaths/march/25/'
import requests

resp = requests.get("https://api.dayinhistory.dev/v1/deaths/march/25/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("deaths/{month}/{day}/")

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/deaths/march/25/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:56:13.986431 200 737ms
2026-04-16 03:42:55.671961 200 804ms
2026-04-16 01:21:18.648789 200 690ms
2026-04-15 01:33:17.924591 200 823ms
2026-04-15 01:15:32.803870 200 922ms
2026-04-14 01:50:20.787359 200 611ms
2026-04-14 00:54:33.795866 200 665ms
2026-04-12 15:04:08.377836 200 1065ms
2026-04-12 14:37:56.897503 200 583ms
2026-04-10 01:41:48.325178 200 741ms
2026-04-10 00:53:09.097298 200 585ms
2026-04-09 02:41:46.656220 200 817ms
2026-04-09 00:44:20.693127 200 644ms
2026-04-08 06:57:44.452299 200 695ms
2026-04-08 00:28:48.278278 200 645ms
2026-04-07 01:32:15.626812 200 662ms
2026-04-07 01:04:03.232210 200 675ms
2026-04-06 06:06:54.829831 200 878ms
2026-04-06 04:08:42.543972 200 764ms
2026-04-05 03:09:14.377024 200 710ms
2026-04-05 02:50:13.002469 200 693ms
2026-04-04 03:22:44.777781 200 690ms
2026-04-04 03:08:58.846400 200 694ms
2026-04-03 13:07:29.287353 200 651ms
2026-04-03 13:00:31.546507 200 771ms
2026-03-30 02:31:47.356950 200 636ms
2026-03-30 02:24:15.557845 200 588ms
2026-03-29 13:12:27.193046 200 565ms
2026-03-29 13:11:03.773066 200 514ms